package Adl200Impl

// Adl200Impl ADL200 单相电表控制器实现
type Adl200Impl struct {
}

// NewAdl200Impl 创建新的 ADL200 控制器实例
func NewAdl200Impl() *Adl200Impl {
	return &Adl200Impl{}
}

// adl200 单例实例
var adl200 *Adl200Impl

// GetAdl200Impl 获取 ADL200 单例实例
func GetAdl200Impl() *Adl200Impl {
	if adl200 == nil {
		adl200 = NewAdl200Impl()
	}
	return adl200
}
